[API Reference](../README.md) > [GPExecuteProposalEventResult](../interfaces/GPExecuteProposalEventResult.md)

# Interface: GPExecuteProposalEventResult

## Hierarchy

**GPExecuteProposalEventResult**

## Index

### Properties

* [_executionState](GPExecuteProposalEventResult.md#_executionState)
* [_proposalId](GPExecuteProposalEventResult.md#_proposalId)

---

## Properties

<a id="_executionState"></a>

###  _executionState

**● _executionState**: *`BigNumber`*

*Defined in [wrappers/genesisProtocol.ts:1052](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1052)*

\_executionState.toNumber() will give you a value from the enum `ExecutionState`

___
<a id="_proposalId"></a>

###  _proposalId

**● _proposalId**: *[Hash](../#Hash)*

*Defined in [wrappers/genesisProtocol.ts:1048](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1048)*

indexed

___

